POST /analyze-incident
curl --request POST \
--url https://api.example.com/analyze-incident \
--header 'Content-Type: application/json' \
--data '
{
"incident": "<unknown>",
"networkState": "<unknown>"
}
'import requests
url = "https://api.example.com/analyze-incident"
payload = {
"incident": "<unknown>",
"networkState": "<unknown>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({incident: '<unknown>', networkState: '<unknown>'})
};
fetch('https://api.example.com/analyze-incident', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agents_used": [
"<string>"
],
"analysis": {
"confidence": 123,
"reasoning": "<string>",
"recommended_actions": [
"<string>"
],
"severity": "<string>",
"should_report": true
},
"fallback_active": true,
"incident": "<unknown>",
"status": "<string>",
"timestamp": "<string>"
}resq-backend
POST /analyze-incident
Triggers an AI analysis of the provided incident data. Uses the Gemini service if available, otherwise falls back to basic heuristics.
POST
/
analyze-incident
POST /analyze-incident
Body
application/json
Response
Incident analyzed
Response payload containing incident analysis results.
List of AI agents used during analysis.
Detailed analysis results.
Show child attributes
Show child attributes
Whether fallback logic was active during analysis.
The original incident data.
status of the analysis.
ISO 8601 timestamp of the response.
Was this page helpful?
⌘I